summaryrefslogtreecommitdiff
path: root/debian/dpkg.postinst
diff options
context:
space:
mode:
authorScott James Remnant <keybuk@debian.org>2004-06-26 16:42:14 +0000
committerScott James Remnant <keybuk@debian.org>2004-06-26 16:42:14 +0000
commitf4cf1eda36d5b9794ad006189d1f81cbc6ea4ceb (patch)
treeffd67cdd8970fdc3e8d1eea058240ed02ea2dfaa /debian/dpkg.postinst
parent43287ae43e80309e1c6c5d288fa79d5618ba6e9d (diff)
downloaddpkg-f4cf1eda36d5b9794ad006189d1f81cbc6ea4ceb.tar.gz
Patches applied:
* scott@netsplit.com--2004/dpkg--devo--1.10--patch-37 remove non-posix test -a/-o in favour of && and || * scripts/dpkg-buildpackge.sh, scripts/dpkg-name.sh, methods/disk.update, methods/disk.setup: Change non-POSIX -a and -o test options to shell && and || for portability.
Diffstat (limited to 'debian/dpkg.postinst')
-rwxr-xr-xdebian/dpkg.postinst8
1 files changed, 4 insertions, 4 deletions
diff --git a/debian/dpkg.postinst b/debian/dpkg.postinst
index 38d7f196e..0d65a1aa7 100755
--- a/debian/dpkg.postinst
+++ b/debian/dpkg.postinst
@@ -19,7 +19,7 @@ EOF
}
if [ "x$1" = xconfigure ]; then
- if [ -z "$2" -a ! -f /etc/dpkg/dpkg.cfg ] ; then
+ if [ -z "$2" ] && [ ! -f /etc/dpkg/dpkg.cfg ] ; then
cp /usr/share/doc/dpkg/dpkg.cfg /etc/dpkg
fi
@@ -35,7 +35,7 @@ if [ "x$1" = xconfigure ]; then
continue
fi
h="`echo $g | sed -e 's/^K/S/'`"
- if ! [ -L $h -a -L $g ] \
+ if ! [ -L $h ] && [ -L $g ] \
|| [ "`ls -Li $g 2>/dev/null | awk '{print $1}'`" != \
"`ls -Li $h 2>/dev/null | awk '{print $1}'`" ]
then
@@ -114,8 +114,8 @@ OK.
esac
fi
-if [ -d /usr/info -a ! -L /usr/info -a ! -L /usr/info/dir \
- -a -f /usr/info/dir ]; then
+if [ -d /usr/info ] && [ ! -L /usr/info ] && [ ! -L /usr/info/dir ] \
+ && [ -f /usr/info/dir ]; then
echo Moving /usr/info/dir to /usr/share/info/dir.
mv /usr/info/dir /usr/share/info/dir
if [ -f /usr/info/dir.old ]; then